## python-envparse 0.2.0

=== Makefile ===
SHELL := /bin/bash

help:
	@echo 'Makefile for envparse'
	@echo ''
	@echo 'Usage:'
	@echo '   make release      push to the PyPI'
	@echo '   make test         run the test suite'
	@echo ''

release:
	python setup.py register sdist bdist_wheel upload

test:
	tox

=== debian/changelog ===
python-envparse (0.2.0-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Use debhelper-compat instead of debian/compat.

  [ Andrey Rahmatullin ]
  * Drop Python 2 support.

 -- Andrey Rahmatullin <wrar@debian.org>  Tue, 27 Aug 2019 11:31:45 +0500

python-envparse (0.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #879737)

 -- Sophie Brun <sophie@freexian.com>  Wed, 25 Oct 2017 10:30:23 +0200

=== debian/control ===
Source: python-envparse
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Sophie Brun <sophie@freexian.com>
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 python3-all,
 python3-pytest,
 python3-setuptools
Standards-Version: 4.1.1
Homepage: https://github.com/rconradharris/envparse
Vcs-Git: https://salsa.debian.org/python-team/modules/python-envparse.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-envparse
Testsuite: autopkgtest-pkg-python

Package: python3-envparse
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends}
Description: environment variable parsing (Python 3)
 This package contains a simple utility to parse environment variables.
 os.environ is a great choice to start off with but over time you'll find
 yourself duplicating quite a bit of code around handling raw environment
 variables. envparse aims to eliminate this duplicated, often inconsistent
 parsing code and instead provide a single, easy-to-use wrapper.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=envparse

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
https://pypi.debian.net/envparse/envparse-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
